<template>
  <div class="vuetable-filterbar col-md-4">
			<div class="form-group">
				<div class="input-group input-group-sm">
                    <input type="text" v-model="filterText" class="form-control input-sm" @keyup.enter="doFilter" placeholder="digite o que deseja...">
                    <div class="input-group-btn">
    					<div class="btn-group">
    						<button type="button" class="btn btn-primary btn-sm btn-outline" @click="doFilter">Filtrar</button>
                            <button type="button" class="btn btn-primary btn-sm btn-outline" @click="resetFilter">Limpar</button>
    					</div>
                    </div>
				</div>
			</div>
  </div>
</template>

<script>
export default {
  data () {
    return {
      filterText: ''
    }
  },
  methods: {
      doFilter () {
        this.$events.fire('filter-set', this.filterText)
      },
      resetFilter () {
        this.filterText = ''  // clear the text in text input
        this.$events.fire('filter-reset')
      }
    }
}
</script>
